# Get all consents

Retrieve all consents. **Required permissions**: `apps:read`, `[appId]:read`, `consents:read`.

Endpoint: GET /v1/consents
Security: ClientAccessToken

## Security:

  - `ClientAccessToken` (unknown)
    oauth2

## Query parameters:

  - `client_id` (string)
    ID of the client whose consents are to be retrieved. If not provided, all consents will be retrieved.

  - `user_id` (string)
    ID of the user whose consents are to be retrieved. If not provided, all consents will be retrieved.

## Response 200 fields (application/json):

  - `result` (array, required)

  - `result.consent_id` (string, required)
    ID of the consent

  - `result.tenant_id` (string, required)
    ID of the tenant

  - `result.app_id` (string, required)
    ID of the app

  - `result.client_id` (string, required)
    ID of the client

  - `result.user_id` (string, required)
    ID of the user

  - `result.scope` (string, required)
    Configures the consent scope of the user

  - `result.created_at` (number, required)
    Date the consent was created in the tenant

  - `result.expires_at` (number, required)
    Date the consent will be expired

  - `result.updated_at` (number, required)
    Date the consent will be expired

